implementation

## Class Schedule

- java.lang.Object
- - implementation.Schedule

-     public class Schedule
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.io.BufferedWriter` | `outputBuffer`
    `static java.io.FileWriter` | `outputFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Schedule(repast.simphony.context.Context<java.lang.Object> pContext)` Constructs the Schedule class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `cleanupAtEnd()` At the end of the simulation, flush and close the buffer, and close the file.
    `static int` | `getPeriod()` Gets the period.
    `void` | `init_IncrementPeriod()` Increment the period counter.
    `void` | `schedule_EmployeeBehaviors()` Schedule behaviors for Employees in the current simulation context.
    `void` | `schedule_EnvironmentBehaviors()` Schedule behaviors for the Environment.
    `void` | `writeOutput()` Write out internally-generated output.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### outputFile

          public static java.io.FileWriter outputFile

    - #### outputBuffer

          public static java.io.BufferedWriter outputBuffer

  - ### Constructor Detail

    - #### Schedule

          public Schedule(repast.simphony.context.Context<java.lang.Object> pContext)

      Constructs the Schedule class. The constructor establishes the simulation's schedule.

  - ### Method Detail

    - #### writeOutput

          public void writeOutput()

      Write out internally-generated output.

    - #### schedule_EnvironmentBehaviors

          public void schedule_EnvironmentBehaviors()

      Schedule behaviors for the Environment.

    - #### schedule_EmployeeBehaviors

          public void schedule_EmployeeBehaviors()

      Schedule behaviors for Employees in the current simulation context.

    - #### init_IncrementPeriod

          public void init_IncrementPeriod()

      Increment the period counter.

    - #### cleanupAtEnd

          public static void cleanupAtEnd()

      At the end of the simulation, flush and close the buffer, and close the file.

    - #### getPeriod

          public static int getPeriod()

      Gets the period.